Create project
POST /v1/projects
Create a new project. Projects are containers for endpoints, API keys, and webhook messages.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Project name
Example
Production WebhooksDefault rate limit (0 uses system default of 1000)
Example
1000Examples
Basic project
{ "name": "Production Webhooks"}Project with custom rate limit
{ "name": "High Volume Integration", "rate_limit_default": 5000}Responses
Section titled “ Responses ”Project created successfully
object
object
Unique project identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Tenant that owns this project
Example
tenant_abc123Project name
Example
Production WebhooksProject status
Example
activeDefault rate limit for this project (requests per minute)
Example
1000Example
2025-12-01T10:00:00Zobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "data": { "id": "01935abc-def0-7123-4567-890abcdef012", "tenant_id": "tenant_abc123", "name": "Production Webhooks", "status": "active", "rate_limit_default": 1000, "created_at": "2025-12-06T12:00:00Z" }, "meta": { "request_id": "req_xyz123" }}Invalid request
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Project limit reached
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "PROJECT_LIMIT_REACHED", "message": "Maximum number of projects reached for your plan" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.